/usr/include/bits/stat.h:91: error: field ‘st_atim’ has incomplete type

While install ffmpeg-php on CentOS 6 or CentOS 7, you may caught with the below error: This error is caused because the time.h file of the extension conflicts with the server’s time.h file. To workaround this issue, one the developer made changes to the php extension code and made it available by creating repo. That package can be downloaded and installed using the below commands: Once the php extension is installed, you need to append “extension=ffmpeg.so” to the php.ini file and enjoy using it.